ASZ8K(1)

NAME
asz8k - Z8000 assembler

SYNOPSIS
asz8k [ -lux ] name.z8k
asz8s [ -lux ] name.z8s

DESCRIPTION
Asz8k is an assembler for the Z8002 and Z8001, respectively. They are actually two links to the same program; the name determines the kind of code which is generated. The source file name.z8k or name.z8s is assembled and the object output is left on the file name.obj, in the Unidot object file format.

The following options are supported:

-l  Generate an assembly listing on the file name.lst. The -x option implies this.

-u  Treat all undefined symbols in the assembly as global.

-x  Generate assembly and cross reference listings on the file name.lst. This option implies the -l option.

FILES

/usr/bin/asz8k, /usr/bin/asz8s
    Assembler program (two links to one file).

/usr/lib/asz8k.pd, /usr/lib/asz8s.pd
    Symbol and opcode definitions (two links to one file).

SEE ALSO
xcon(1)
Unidot Cross Assembler Family Programmer's Reference
Unidot Universal Link Editor Programmer's Reference

DIAGNOSTICS
Assembly errors are flagged by single-character diagnostics at the left side of the listing. Lines containing errors are printed on the standard output regardless of whether a listing is enabled. The possible errors are:

A    Macro argument error
C    Conditional assembly error
E    Expression error
L    Label error
M    Multiply defined symbol
O    Opcode error
P    Phase error
S    Syntax error
U    Undefined symbol